Skip to main content

LinkedIn Group Search

POST /api/v1/group_search

This API allows the authenticated user to get search results related to LinkedIn Groups based on given Search URL.

Search sample URL: https://www.linkedin.com/groups/

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.
urlstringrequiredThe target URL for the operation.
pagenumberThe page number to retrieve.

Sample Request​

{
"accountId": "string",
"url": "string",
"page": 1
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
profilesarray[]Array of profile results.
paginationobjectPagination metadata.
totalnumberTotal number of results.
pagesnumberTotal number of pages.
POST/api/v1/group_search
x-api-key
x-api-secret